/* ledswitch2_v1
 *  
 * Egy LED ki-bekacsolása nyomógomb segítségével
 *  - Első (és minden páratlan) lenyomásra a piros LED világítson!
 *  - Második (és minden páros) lenyomásra a LED kialszik! 
 */
#define RED_LED 5                  // D5-re van kötve a LED
#define G1      3                  // D3-ra van kötve a nyomógomb
boolean led_state = false;         // LED állapot tárolója
void setup() {
  pinMode(RED_LED,OUTPUT);         // Legyen kimenet
  pinMode(PUSH2,INPUT_PULLUP);     // Bemenet belső felhúzással
}

void loop() {
  while(digitalRead(PUSH2));       // Lenyomásra várunk
  led_state = !led_state;          // Állapot átbillentése
  digitalWrite(RED_LED,led_state); // LED állapot aktualizálás
  delay(20);                       // Pergésmentesítő késleltetés
  while(!digitalRead(PUSH2));      // Felengedésre várunk
  delay(20);                       // Pergésmentesítő késleltetés
}
